library ieee,std;
use ieee.std_logic_1164.all;

entity genpar32 is
    port(
        din : in std_logic_vector(31 downto 0);
        pout : out std_logic_vector(3 downto 0)
        );
end genpar32;


ARCHITECTURE rtl OF genpar32 IS
--
--
    component  genpar8
        port(
            din : in std_logic_vector(7 downto 0);
            pout : out std_logic
            );
    end component;


begin
    M: for i in 0 to 3 generate
        u : genpar8 port map(din=>din(i*8+7 downto i*8),pout=>pout(i));
    end generate;
END rtl;

