library ieee,std;
use ieee.std_logic_1164.all;

entity genpar8 is
    port(
        din : in std_logic_vector(7 downto 0);
        pout : out std_logic
        );
end genpar8;

ARCHITECTURE rtl OF genpar8 IS
begin
    process(din)
        variable p1, p2, p3 : std_logic;
    begin
        p1 := din(0) xor  din(1) xor  din(2) xor  din(3);
        p2 := din(4) xor  din(5) xor  din(6) xor  din(7);
        pout<=  (p1 xor p2 );
    end process;
END rtl;

